Account
Authentication
All API calls (except the token endpoint) require a Bearer token in the Authorization header:
Authorization: Bearer your_access_tokenGetting an Access Token
Get authentication token
POST
https://api.anyprop.com/v1/tokenObtain an access token using your credentials
Body
usernamestringrequiredYour API username
passwordstring · passwordrequiredYour API password
Responses
200Successful authenticationapplication/json
access_tokenstringoptionalexpires_inintegeroptionalExample: 2592000
typestringoptionalExample: Bearer
400Invalid requestapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptionalfetch("https://api.anyprop.com/v1/token", {
method: "POST",
headers: {
"Content-Type": "application/x-www-form-urlencoded"
},
body: new URLSearchParams({
username: "Your API username",
password: "Your API password"
})
})
.then(res => res.json())
.then(console.log);
curl -X POST \
https://api.anyprop.com/v1/token \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "username=Your API username&password=Your API password"import requests
response = requests.post(
"https://api.anyprop.com/v1/token",
headers={"Content-Type": "application/x-www-form-urlencoded"},
data={"username": "Your API username", "password": "Your API password"}
)
print(response.json())POST /v1/token HTTP/1.1
Host: api.anyprop.com
Content-Type: application/x-www-form-urlencoded
username=Your%20API%20username&password=Your%20API%20passwordResponse example
{
"access_token": "text",
"expires_in": 2592000,
"type": "Bearer"
}{
"error": {
"code": "text",
"message": "text"
}
}Account Resources, Settings, and Permission
You can view account settings and permissions on the account/resources endpoint.
Get account resources
GET
https://api.anyprop.com/v1/account/resourcesRetrieve resources and permissions for the account
Authorizations
AuthorizationstringrequiredBearer authentication header of the form Bearer <token>.
Responses
200Successful responseapplication/json
resourcesobjectoptionalShow properties
listingsstring[]optionalShow item properties
401Unauthorizedapplication/json
errorobjectoptionalShow properties
codestringoptionalmessagestringoptionalGET /v1/account/resources HTTP/1.1
Host: api.anyprop.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*curl --request GET \
--url 'https://api.anyprop.com/v1/account/resources' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--header 'Accept: */*'fetch("https://api.anyprop.com/v1/account/resources", {
"method": "GET",
"headers": {
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
})
.then(response => response.json())
.then(console.log);import requests
response = requests.get(
"https://api.anyprop.com/v1/account/resources",
headers={
"Authorization": "Bearer YOUR_SECRET_TOKEN",
"Accept": "*/*"
}
)
print(response.json())Response example
{
"resources": {
"listings": [
{
"originating_system_name": "agsmls",
"originating_system_full_name": "aspen glenwood mls"
},
{
"originating_system_name": "chsmls",
"originating_system_full_name": "CHS Regional MLS"
},
{
"originating_system_name": "mlsl",
"originating_system_full_name": "mlslistings"
},
{
"originating_system_name": "sdmls",
"originating_system_full_name": "san diego mls"
},
{
"originating_system_name": "summit",
"originating_system_full_name": "altitude realtors"
},
{
"originating_system_name": "theclaw",
"originating_system_full_name": "claw mls"
},
{
"originating_system_name": "vbor",
"originating_system_full_name": "vail board of realtors"
}
]
}
}{
"error": {
"code": "text",
"message": "text"
}
}